SYNC 3 MY20 EU F11 Map update.

I’m looking to update a MY20 Sync 3 unit to EU F11 Maps using the Manual tutorial : Sync 3.0.20204 with 2022 EU 2.21 (F11) Map Installation.
I have run the Interrogator Utility tool and ths has show that all the installed components are the same as those in the first part of the tutorial.
My question is can I run just the second part - the Map installation and as far as known this should be ok for the MY20 Unit i have got in my car (2018 Focus ST)?
I am aware that this is totally my responsibility.


SYNC Region: EU

Navigation Variant: Nav

Manufacturer Year: MY20

Install Type: OEM Replacement

Old SYNC Version: 3.0.20204

New SYNC Version: 3.0.20204

Do you have a error message, if so what is it?
N/A

Update Method: Official Ford

I believe you are referring to this guide → Tutorial: Sync 3.0.20204 with 2022 EU 2.21 (F11) Map Installation
That guide does not involves reformat, so it’s safe on MY20 models.

You stated the unit is an OEM replacement and that you are positive is MY20.
Do you have the output of the interrogator log?.

Hi Sandman,
That is the guide I am referring too.
I have had been on the forum about a month or so ago as I was double checking whether or not I could update to 3.4 using the Sync Updater.
It was confirmed on thread that it was MY20.
Reading through the tutorial it was a two stage process but as my system has already got the firmware idenitifed in the first part. Is there likely to be any issues just jumping in at the second stage.

Oh, you mean this thread → MY20 or not? Will this be a problem?

Ok, so it’s a MY20 unit, it’s not reformatable.

We should not talk about firmware, because firmware is something else.
What you are referring to is software/package versions or builds installed.
Again, firmware is something else, not related to software lets say.

Question: are you suffering from lag as well?
Which packages do you currently have installed for maps?

If you are referring to that your unit already has these packages installed:
JR3T-14G381-AX
JR3T-14G391-AE
JR3T-14G423-AB

Then yes, you already have the required packages installed. That is: Gracenotes, Voice and Sync3.

You can continue with the following section: “EU 2.21 (F11) NAV Package Installation”

@Keando Yes, that is correct.

@ Sandman

No lags at all I’m happy to say. The old unit was horrendous and took 30 seconds or more to respond to any input but that was replaced with the MY20 unit I now have.

Thank you both for your input and the confirmation.

1 Like

F11 Update worked a treat no issues at all. Thank you.

Thank you for the feedback, enjoy it.
I’m closing the thread since everything went as expected.